Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Anomalies

Server
Download schema

Acknowledge anomaly

POST
https://api.costfluent.com
/v1/anomalies/{anomalyId}/acknowledge
Bearer (API token)

Marks an anomaly as acknowledged

Acknowledge anomaly › path Parameters

​CostfluentSharedKernelPublicIdsAnomalyPublicId · required

Acknowledge anomaly › Responses

No Content

No data returned
POST/v1/anomalies/{anomalyId}/acknowledge
curl https://api.costfluent.com/v1/anomalies/:anomalyId/acknowledge \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

List anomalies

GET
https://api.costfluent.com
/v1/anomalies
Bearer (API token)

Returns detected cost anomalies with optional filtering

List anomalies › query Parameters

unacknowledgedOnly
​boolean · required
limit
​integer · int32 · required
cloudAccountId
​string | null
severity
​string | null
startDate
​string | null · date
endDate
​string | null · date

List anomalies › Responses

Success

CostfluentPublicApiModelsV1ResponsesAnomalyListResponse
​CostfluentPublicApiModelsV1ResponsesAnomalyResponse[]
totalCount
​integer · int32
unacknowledgedCount
​integer · int32
GET/v1/anomalies
curl 'https://api.costfluent.com/v1/anomalies?unacknowledgedOnly=<bool>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": [ { "id": { "Value": "Value" }, "providerId": { "Value": "Value" }, "anomalyDate": "2024-08-25", "serviceName": "serviceName", "region": "region", "anomalyType": "anomalyType", "severity": "severity", "expectedCost": 0, "actualCost": 0, "deviationPercent": 0, "description": "description", "currency": "currency", "isAcknowledged": true, "acknowledgedAt": "2024-08-25T15:00:00Z", "detectedAt": "2024-08-25T15:00:00Z" } ], "totalCount": 0, "unacknowledgedCount": 0 }
json
application/json

UsageAllocation